CorpTransfer
Operations
Retrieve CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCorpTransfer HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CorpTransferRuleSet": 1,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"CorpTransfer": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getCorpTransfer"
}Retrieve CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCorpTransferSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllCorpTransferFields": true
}
}Successful operation.
{
"CorpTransfer": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getCorpTransferSelectFields"
}Retrieve CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCorpTransferPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0,
"Token": "example-token"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"CorpTransfer": [],
"Token": null,
"MessageId": "getCorpTransferPagedList"
}Retrieve CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCorpTransferListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllCorpTransferFields": true
}
}Successful operation.
{
"CorpTransferList": [],
"MessageId": "getCorpTransferListSelectFields"
}Search CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchCorpTransferSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 233
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllCorpTransferFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"CorpTransferList": [],
"MessageId": "searchCorpTransferSelectFields"
}Retrieve CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCorpTransferPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 274
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCorpTransferFields": true
}
}Successful operation.
{
"CorpTransfer": [],
"Token": null,
"MessageId": "getCorpTransferPagedListSelectFields"
}Search CorpTransfer parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchCorpTransferPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 285
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"IncludeAllCorpTransferFields": true
}
}Successful operation.
{
"CorpTransfer": [],
"Token": null,
"MessageId": "searchCorpTransferPagedSelectFields"
}Last updated
Was this helpful?